//登录数据验证函数
function tgzcmLogin()
{
  username = document.tgzcmform.username.value;
  loginregs = /^[a-zA-Z0-9]{6,18}$/;
  if (! loginregs.test(username))
	{
		alert("用户名不能为空或含有特殊字符");
		document.tgzcmform.username.focus(); 
		return false;
	}

  if (document.tgzcmform.password.value=='')
   {
    alert('请输入密码！');
    document.tgzcmform.password.focus();
    return false;
   } 
 
}
//资料数据验证函数
function tgzcmCard()
{
	if (document.tgzcmcard.CardName.value=='')
   {
    alert('请输入卡号！');
    document.tgzcmcard.CardName.focus();
    return false;
   } 
   if (document.tgzcmcard.CardPass.value=='')
   {
    alert('请输入冲值卡密码！');
    document.tgzcmcard.CardPass.focus();
    return false;
   } 
	
}

//注册数据验证函数
function tgzcmReg()
{
  username = document.tgzcmform.username.value;
  loginregs = /^[a-zA-Z0-9]{6,18}$/;
  if (! loginregs.test(username))
	{
		alert("用户名不能为空或长度错误或含有特殊字符");
		document.tgzcmform.username.focus(); 
		return false;
	}
//check password
	password = document.tgzcmform.pwd.value;
	password2 = document.tgzcmform.pwd2.value;

	if (password != password2 )
	{
		alert("两次输入的密码不一致");
		//document.tgzcmform.password.focus(); 
		return false;
	}

	if (password.length < 6  || password.length>18)
	{
		alert("请输入密码");
		//document.tgzcmform.password.focus();	
		return false;
	}
//
    if (document.tgzcmform.lname.value=='')
    {
        alert('请输入昵称，如：张学友！');
        document.tgzcmform.lname.focus();
        return false;
    } 
//
    if (document.tgzcmform.qq.value=='')
    {
        alert('请输入QQ号码，兑换奖品时联系！');
        document.tgzcmform.qq.focus();
        return false;
    } 
   //
    if (document.tgzcmform.ask.value=='')
    {
        alert('请输入密码保护问题，如：我的老婆叫？');
        document.tgzcmform.ask.focus();
        return false;
    } 
   //
    if (document.tgzcmform.askok.value=='')
    {
        alert('请输入保护问题答案，如：张子怡！');
        document.tgzcmform.askok.focus();
        return false;
    } 
	if (document.tgzcmform.webcha.value==0)
    {
        alert('请选择.你是如何知道本站？');
        //document.tgzcmform.webcha.focus();
        return false;
    } 
   
	
}

//订单资料数据验证函数
function tgzcmOrder()
{
	if (document.tgzcmform.shouji.value=='')
   {
    alert('请输入联系人手机！');
    document.tgzcmform.shouji.focus();
    return false;
   } 
   if (document.tgzcmform.dizhi.value=='')
   {
    alert('请输入奖品收件人地址！');
    document.tgzcmform.dizhi.focus();
    return false;
   } 
    if (document.tgzcmform.phow.value==0)
   {
    alert('奖品兑换数为0！');
    document.tgzcmform.phow.focus();
    return false;
   } 
	
}